---
# Install requirements for the playbook using
# `ansible-galaxy install -r requirements.yml`

collections:
  - name: community.general
  - name: ansible.posix

roles:
  # NTP
  - name: geerlingguy.ntp
    src: https://github.com/geerlingguy/ansible-role-ntp.git
    version: a56b794d81f090c2490cd2a5b2fb760baa67353c

  # swap
  - name: geerlingguy.swap
    src: https://github.com/geerlingguy/ansible-role-swap.git
    version: 27d6d46f298d8f13e295acec5b65623c204bd49b

  # user management
  - name: youtous.users
    src: https://github.com/youtous/ansible-users.git
    version: 79dbcbc58181580c1fc01e233d59ee6248267c3d

  # Logrotate
  - name: arillso.logrotate
    src: https://github.com/arillso/ansible.logrotate.git
    version: 0aced5bf8e938b8eee2d902bd3c9262c764c2e54

  # Fail2ban
  - name: oefenweb.fail2ban
    src: https://github.com/Oefenweb/ansible-fail2ban.git
    version: 4b02c28f346fddcd32f329ac1eacc5d420b35382

  # Docker
  - name: geerlingguy.docker
    src: https://github.com/geerlingguy/ansible-role-docker.git
    version: c94e327a74a16a85f23d73be386c161a9cfe81d4

  # Resolv.conf
  - name: ahuffman.resolv
    src: https://github.com/ahuffman/ansible-resolv.git
    version: bf111291a0e0145bdb91b8fa00510bd826bb3c55

  # journald conf
  - name: 0x0I.journald
    src: https://github.com/0x0I/ansible-role-journald.git
    version: 26a0b11533326a5779951090e7cc4b59d3962fb4
...